# Uses of Interface
java.lang.classfile.constantpool.IntegerEntry

Packages that use IntegerEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of IntegerEntry in java.lang.classfile

Methods in java.lang.classfile that return IntegerEntry
Modifier and Type
Method
Description
`IntegerEntry`
AnnotationValue.OfBoolean.`constant()`
Returns the backing integer entry.
`IntegerEntry`
AnnotationValue.OfByte.`constant()`
Returns the backing integer entry.
`IntegerEntry`
AnnotationValue.OfChar.`constant()`
Returns the backing integer entry.
`IntegerEntry`
AnnotationValue.OfInt.`constant()`
Returns the backing integer entry.
`IntegerEntry`
AnnotationValue.OfShort.`constant()`
Returns the backing integer entry.
Methods in java.lang.classfile with parameters of type IntegerEntry
Modifier and Type
Method
Description
`static AnnotationValue.OfBoolean`
AnnotationValue.`ofBoolean(IntegerEntry value)`
Returns a boolean value for an element-value pair.
`static AnnotationValue.OfByte`
AnnotationValue.`ofByte(IntegerEntry value)`
Returns a byte value for an element-value pair.
`static AnnotationValue.OfChar`
AnnotationValue.`ofChar(IntegerEntry value)`
Returns a char value for an element-value pair.
`static AnnotationValue.OfInt`
AnnotationValue.`ofInt(IntegerEntry value)`
Returns an int value for an element-value pair.
`static AnnotationValue.OfShort`
AnnotationValue.`ofShort(IntegerEntry value)`
Returns a short value for an element-value pair.

## Uses of IntegerEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return IntegerEntry
Modifier and Type
Method
Description
`IntegerEntry`
ConstantPoolBuilder.`intEntry(int value)`
Returns an `IntegerEntry` describing the provided value.